| Web Services for Remote Management 14.0 Reference documentation for web service interfaces to support remote management of Symantec Endpoint Protection

- Home
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

List of all members | Public Member Functions
com.symantec.sepm.webservice.client.ComputerResult Class Reference

Provides a list of child Computer objects that match the search parameters of the ClientService.getComputersbyIP and ClientService.getComputersbyHostName methods. More...

## Public Member Functions
| ComputerResult ()
| The default constructor that takes no parameters. More...
| ComputerResult (Context context, boolean moreResultsAvailable)
| Constructor that takes the context and whether more results are available as parameters. More...
List< Computer > | getComputers ()
| Returns a list of child Computer objects that provide the computer GUIDs. More...
void | setComputers (List< Computer > computers)
| Client applications should not call this method. More...
boolean | getMoreResultsAvailable ()
| Returns whether more results are available for this request. More...
void | setMoreResultsAvailable (boolean moreResultsAvailable)
| Client applications should not call this method. More...
Context | getContext ()
| Returns a context object that provides the starting index for the next set of results in the case of multiple pages of results. More...
void | setContext (Context context)
| Client applications should not call this method. More...
long | getTotalNumberOfResults ()
| Returns the total number of results for this request. More...
void | setTotalNumberOfResults (long totalNumberOfResults)
| Client applications should not call this method. More...

## Detailed Description

Provides a list of child Computer objects that match the search parameters of the ClientService.getComputersbyIP and ClientService.getComputersbyHostName methods.

These objects provide the computer GUID that is passed to the methods of other web services.

Also provides methods to help manage large result sets. For example, if the getMoreResultAvailable method returns true, then the next set of results can be retrieved by using the offset (index) provided by Context().

See also
  PagingOptions
  Context

## Constructor & Destructor Documentation

com.symantec.sepm.webservice.client.ComputerResult.ComputerResult | ( |  | ) |

The default constructor that takes no parameters.

com.symantec.sepm.webservice.client.ComputerResult.ComputerResult | ( | Context | context,
|  | boolean | moreResultsAvailable
| ) |  |

Constructor that takes the context and whether more results are available as parameters.

Parameters

  context | object that provides the starting index for multiple sets of results
  moreResultsAvailable | boolean value that indicates whether more results are available for this request

## Member Function Documentation

List<Computer> com.symantec.sepm.webservice.client.ComputerResult.getComputers | ( |  | ) |

Returns a list of child Computer objects that provide the computer GUIDs.

See also
  Computer

Returns
  list of Computer objects

void com.symantec.sepm.webservice.client.ComputerResult.setComputers | ( | List< Computer > | computers | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  computers | list of Computer objects to set

boolean com.symantec.sepm.webservice.client.ComputerResult.getMoreResultsAvailable | ( |  | ) |

Returns whether more results are available for this request.

Returns
  true if more results are available

void com.symantec.sepm.webservice.client.ComputerResult.setMoreResultsAvailable | ( | boolean | moreResultsAvailable | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  moreResultsAvailable | whether more results are available

Context com.symantec.sepm.webservice.client.ComputerResult.getContext | ( |  | ) |

Returns a context object that provides the starting index for the next set of results in the case of multiple pages of results.

Returns
  context object that provides the starting index for multiple sets of results

void com.symantec.sepm.webservice.client.ComputerResult.setContext | ( | Context | context | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  context | the context to set

long com.symantec.sepm.webservice.client.ComputerResult.getTotalNumberOfResults | ( |  | ) |

Returns the total number of results for this request.

Returns
  total number of results

void com.symantec.sepm.webservice.client.ComputerResult.setTotalNumberOfResults | ( | long | totalNumberOfResults | ) |

Client applications should not call this method.

This method modifies only the local object. Any changes are not sent back to the management server.

Parameters

  totalNumberOfResults | total number of results